# Get

Launch stage: GA

`GET /api/2.0/global-init-scripts/{script_id}`

Gets all the details of a script, including its Base64-encoded contents.

API scopes: global-init-scripts

## Path parameters

- `script_id` (string, optional)
  The ID of the global init script.
  Example: `714B166709FBD56F`

## Returns

- `script_id` (string, optional)
  The global init script ID.
  Example: `714B166709FBD56F`
- `name` (string, optional)
  The name of the script
  Example: `My example script name`
  Constraints: `[ 1 .. 100 ] characters`, `^[a-zA-Z0-9_\-\. ]*$`
- `position` (int32, optional)
  The position of a script, where 0 represents the first script to run, 1 is the second script to run, in ascending order.
  Example: `0`
- `enabled` (boolean, optional)
  Specifies whether the script is enabled. The script runs only if enabled.
  Example: `false`
- `created_by` (string, optional)
  The username of the user who created the script.
  Example: `john.doe@databricks.com`
- `created_at` (int64, optional)
  Time when the script was created, represented as a Unix timestamp in milliseconds.
  Example: `1594437249910`
- `updated_by` (string, optional)
  The username of the user who last updated the script
  Example: `jane.smith@example.com`
- `updated_at` (int64, optional)
  Time when the script was updated, represented as a Unix timestamp in milliseconds.
  Example: `1594444684786`

## Response

```json
{
  "script_id": "714B166709FBD56F",
  "name": "My example script name",
  "position": 0,
  "enabled": false,
  "created_by": "john.doe@databricks.com",
  "created_at": 1594437249910,
  "updated_by": "jane.smith@example.com",
  "updated_at": 1594444684786
}
```

